Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	Library of JPEG support functions.
Name:		libjpeg
Version:	8
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://www.ijg.org
Group:		System/Libraries
Source0:	jpegsrc.v8b.tar.gz
#Patch3:		%{name}-%{version}-c++.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
libjpeg is a library for handling the JPEG (JFIF) image format.
Included are the programs cjpeg and djpeg for converting to and from this format,
jpegtran to perform some lossless transformations on JPEG imagess,
and rdjpgcom and wrjpgcom to manipulate JFIF comments.
For more details see: http://www.ijg.org

%package devel
Summary:	%{name} development headers.
Group:		%{group}            
Requires:	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn jpeg-8b

%build
%configure --enable-shared --enable-static
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# add internal header as some packages like XBMC depend on it (while they shouldn't)
install -D -p -m 0755 jpegint.h $RPM_BUILD_ROOT%{_includedir}

find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 
rm -f $RPM_BUILD_ROOT%_mandir/*.1

%files
%defattr(-,root,root)
%{_bindir}/cjpeg
%{_bindir}/djpeg
%{_bindir}/jpegtran
%{_bindir}/rdjpgcom
%{_bindir}/wrjpgcom
%{_libdir}/libjpeg.so.8
%{_libdir}/libjpeg.so.8.0.2
%{_mandir}/man1/cjpeg.1.gz
%{_mandir}/man1/djpeg.1.gz
%{_mandir}/man1/jpegtran.1.gz
%{_mandir}/man1/rdjpgcom.1.gz
%{_mandir}/man1/wrjpgcom.1.gz

%files devel
%defattr(-,root,root)
%{_includedir}/jconfig.h
%{_includedir}/jerror.h
%{_includedir}/jmorecfg.h
%{_includedir}/jpegint.h
%{_includedir}/jpeglib.h
%{_libdir}/libjpeg.a
%{_libdir}/libjpeg.la
%{_libdir}/libjpeg.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep 24 2010 Karsten Brockmann <arcam@ccux-linux.de> 8b-1
- version update
* Fri Jul 17 2009 Karsten Brockmann <arcam@ccux-linux.de> 7-1
- version update
* Wed Sep 28 2005 Christian Metzen <metzench@ccux-linux.de> 6b-3
- Moved files to main package, removed double man files
* Tue Sep 06 2005 Christian Wasem <wasem@ccux-linux.de> 6b-2
- rebuild for SourceRPM
- added patches: DESTDIR, mandir, include and c++
